Subject: Re: bug#35606: Gajim

From: "Raghav Gururajan" <[email-masked]>
Date: Mon, 06 May 2019 19:49:25 +0000

T-G-R!

One more interesting information. I had to close the Gajim by killing the process. What I noticed in "system monitor" is that the Gajim was running as root instead of that user. I retried, it is the same. Gajim runs as root. Weird.

May 6, 2019 7:45 PM, "Raghav Gururajan" <[email-masked]> wrote:

> T-G-R!
> 
> Oh my goodness, I didn't notice that. LoL. Of course the OS is GNU/Linux. ;). The bug report was
> automatically generated when I opened the app. I didn't create it.
> 
> Yes, as you said, nothing works. All menu greyed out. Can't even close the app.
> 
> May 6, 2019 7:40 PM, "Tobias Geerinckx-Rice" <[email-masked]> wrote:
> 
>> Raghav, Clément, Ricardo, Guix,
>> 
>> Raghav Gururajan wrote:
>> 
>>> ## Versions
>>> - OS: Linux
>> 
>> Never heard of that OS… ;-)
>> 
>>> - GTK+ Version: 3.24.7
>>> - PyGObject Version: 3.28.3
>>> - python-nbxmpp Version: 0.6.10
>>> - Gajim Version: 1.1.3
>> 
>> Thanks for these, but providing the output of ‘guix describe’
>> instead (and making sure both your system and user's packages have
>> been fully updated to that version) would be even more
>> informative.
>> 
>>> ## Traceback
>> 
>> I can't reproduce this, by the way (output below). Gajim opens a
>> window and a welcome wizard (which I close). Then I'm left with
>> the main window where all the menus work… but all options are
>> greyed out (except a few under ‘View’). So the programme isn't
>> frozen, but I can't close it, not even using my window manager's
>> key bindings. Hence the SIGINT at the end.
>> 
>> Very strange. Is anyone successfully using Gajim on Guix System?
>> Clément? Ricardo?
>> 
>> Kind regards,
>> 
>> T G-R
>> 
>> ~ λ gajim
>> (..gajim-real-real:23682): dbind-WARNING **: 21:27:06.317: AT-SPI:
>> Error retrieving accessibility bus address:
>> org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus
>> was not provided by any .service files
>> creating /home/nckx/.config/gajim directory
>> creating /home/nckx/.cache/gajim directory
>> creating /home/nckx/.local/share/gajim directory
>> creating /home/nckx/.local/share/gajim/certs directory
>> creating /home/nckx/.local/share/gajim/debug directory
>> creating /home/nckx/.local/share/gajim/plugins_data directory
>> creating /home/nckx/.config/gajim/pluginsconfig directory
>> creating /home/nckx/.config/gajim/localcerts directory
>> creating /home/nckx/.cache/gajim/plugins_download directory
>> creating /home/nckx/.local/share/gajim/plugins directory
>> creating /home/nckx/.cache/gajim/avatars directory
>> creating /home/nckx/.config/gajim/theme directory
>> Traceback (most recent call last):
>> File
>> "/gnu/store/lzzphfg2hf52h1cb2dbvz3qvz2ca26na-gajim-1.1.3/lib/python3.7/site-packages/gajim/applicati
>> n.py",
>> line 221, in _activate
>> self.interface.run(self)
>> File
>> "/gnu/store/lzzphfg2hf52h1cb2dbvz3qvz2ca26na-gajim-1.1.3/lib/python3.7/site-packages/gajim/gui_inter
>> ace.py",
>> line 2550, in run
>> app.plugin_manager = plugins.PluginManager()
>> File
>> "/gnu/store/lzzphfg2hf52h1cb2dbvz3qvz2ca26na-gajim-1.1.3/lib/python3.7/site-packages/gajim/plugins/h
>> lpers.py",
>> line 129, in __call__
>> cls.instance = super(Singleton, cls).__call__(*args, **kwargs)
>> File
>> "/gnu/store/lzzphfg2hf52h1cb2dbvz3qvz2ca26na-gajim-1.1.3/lib/python3.7/site-packages/gajim/plugins/p
>> uginmanager.py",
>> line 115, in __init__
>> pc = self.scan_dir_for_plugins(path)
>> File
>> "/gnu/store/lzzphfg2hf52h1cb2dbvz3qvz2ca26na-gajim-1.1.3/lib/python3.7/site-packages/gajim/plugins/h
>> lpers.py",
>> line 114, in wrapper
>> result = f(*args, **kwargs)
>> File
>> "/gnu/store/lzzphfg2hf52h1cb2dbvz3qvz2ca26na-gajim-1.1.3/lib/python3.7/site-packages/gajim/plugins/p
>> uginmanager.py",
>> line 598, in scan_dir_for_plugins
>> if not os.path.isdir(path):
>> File
>> "/gnu/store/h8l1pby3cm6b4fxsfwwr65b4d1hyh6cs-python-3.7.0/lib/python3.7/genericpath.py",
>> line 42, in isdir
>> st = os.stat(s)
>> TypeError: stat: path should be string, bytes, os.PathLike or
>> integer, not NoneType
>> 06/05/19 21:27:07 (E) gajim.notify Notifications D-Bus connection
>> failed
>> Traceback (most recent call last):
>> File
>> "/gnu/store/lzzphfg2hf52h1cb2dbvz3qvz2ca26na-gajim-1.1.3/lib/python3.7/site-packages/gajim/notify.py
>> ,
>> line 96, in on_proxy_ready
>> self.daemon_capabilities = proxy.GetCapabilities()
>> File
>> "/gnu/store/f34bv1iaghh7hsymqm57abi8p1lyavv6-python-pygobject-3.28.3/lib/python3.7/site-packages/gi/
>> verrides/Gio.py",
>> line 204, in __call__
>> None)
>> GLib.GError: g-dbus-error-quark:
>> GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name
>> org.freedesktop.Notifications was not provided by any .service
>> files (2)
>> ^CSIGINT/SIGTERM received
>> ~ λ